All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.remotefileselector
Class StartSearchCommand

    com.sas.commands.remotefileselector.StartSearchCommand

All Implemented Interfaces:
  ContentsChangedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class StartSearchCommand

implements ContentsChangedInterface

This class provides the calls to the RemoteServerModel for initiating the search function.

Since:
  3.1

Field Summary
`static java.lang.String` | `RB_KEY` the resource key

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`StartSearchCommand()` Constructor
`StartSearchCommand(java.lang.String name)` Constructor that accepts a command name
`StartSearchCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type

Method Summary
`void` | `execute(java.lang.Object o)` Initiates the action to search the file system.
`BaseActionProvider` | `getActionProvider()` Returns the action provider framework class.
`java.util.Date` | `getEndDateTime()` Returns the end date for a range of dates to be searched.
`java.util.HashMap` | `getEventInfo()` Returns information about the command.
`java.lang.Object` | `getEventSource()` Returns the event source item "path".
`boolean` | `getRecursive()` Returns whether to search the subfolders recursively.
`RemoteFileServerModelInterface` | `getRemoteModel()` Returns the model attribute value.
`java.lang.String` | `getSearchContext()` Returns the current column value used in searching.
`java.lang.String` | `getSearchText()` Returns the text string used as the search criteria.
`RemoteFileSearchModelInterface` | `getServiceModel()` Returns the service model attribute value.
`java.util.Date` | `getStartDateTime()` Returns the beginning date for a range of dates to be searched.
`java.lang.String` | `getStartingPath()` Returns the currently viewed file path attribute.
`boolean` | `isContentsChanged()` Tests whether the contents are changed.
`void` | `setActionProvider(BaseActionProvider provider)` Sets the action provider framework class.
`void` | `setEndDateTime(java.util.Date endDate)` Sets the end date for a range of dates to be searched.
`void` | `setEventSource(java.lang.Object eventSource)` Allows setting of the event source.
`void` | `setRecursive(boolean recursive)` Sets whether to search subfolders recursively.
`void` | `setRemoteModel(RemoteFileServerModelInterface remoteModel)` Sets the model attribute value.
`void` | `setSearchContext(java.lang.String searchContext)` Sets the column value to search against.
`void` | `setSearchText(java.lang.String searchText)` Sets the text string used as the search criteria.
`void` | `setServiceModel(RemoteFileSearchModelInterface serviceModel)` Sets the service model attribute value.
`void` | `setStartDateTime(java.util.Date startDate)` Sets the beginning date for a range of dates to be searched.
`void` | `setStartingPath(java.lang.String startingPath)` Sets the currently viewed file path attribute.

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  the resource key

  See Also:
    Constant Field Values

Constructor Detail

### StartSearchCommand

    public StartSearchCommand()

  Constructor

### StartSearchCommand

    public StartSearchCommand(java.lang.String name)

  Constructor that accepts a command name

  Parameters:
    `name` - the command name

### StartSearchCommand

    public StartSearchCommand(java.lang.String name,
                              java.lang.String actionClass)

  Constructor that accepts a command name and an action class type

  Parameters:
    `name` - the command name
    `actionClass` - the action class type

Method Detail

### execute

    public void execute(java.lang.Object o)

  Initiates the action to search the file system.

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Specified by:
    `execute` in class `BaseCommand`
  Parameters:
    `o` - the object where the command is executed.

### setSearchContext

    public void setSearchContext(java.lang.String searchContext)

  Sets the column value to search against.

  Parameters:
    `searchContext` - the column value
  See Also:
    `getSearchContext()`

### getSearchContext

    public java.lang.String getSearchContext()

  Returns the current column value used in searching.

  Returns:
    the current column value
  See Also:
    `setSearchContext(String)`

### setSearchText

    public void setSearchText(java.lang.String searchText)

  Sets the text string used as the search criteria.

  Parameters:
    `searchText` - the search string
  See Also:
    `getSearchText()`

### getSearchText

    public java.lang.String getSearchText()

  Returns the text string used as the search criteria.

  Returns:
    the search string
  See Also:
    `setSearchText(String)`

### setStartingPath

    public void setStartingPath(java.lang.String startingPath)

  Sets the currently viewed file path attribute.

  Parameters:
    `path` - the current file path
  See Also:
    `getStartingPath()`

### getStartingPath

    public java.lang.String getStartingPath()

  Returns the currently viewed file path attribute.

  Returns:
    the current file path
  See Also:
    `setStartingPath(String)`

### setRecursive

    public void setRecursive(boolean recursive)

  Sets whether to search subfolders recursively.

  Parameters:
    `recursive` - true = search subfolders, false = don't search subfolders
  See Also:
    `getRecursive()`

### getRecursive

    public boolean getRecursive()

  Returns whether to search the subfolders recursively.

  Returns:
    true = search subfolders, false = don't search subfolders
  See Also:
    `setRecursive(boolean)`

### setStartDateTime

    public void setStartDateTime(java.util.Date startDate)

  Sets the beginning date for a range of dates to be searched.

  Parameters:
    `startDate` - the starting date (inclusive)
  See Also:
    `getStartDateTime()`

### getStartDateTime

    public java.util.Date getStartDateTime()

  Returns the beginning date for a range of dates to be searched.

  Returns:
    the starting date (inclusive)
  See Also:
    `setStartDateTime(Date)`

### setEndDateTime

    public void setEndDateTime(java.util.Date endDate)

  Sets the end date for a range of dates to be searched.

  Parameters:
    `endDate` - the end date (inclusive)
  See Also:
    `getEndDateTime()`

### getEndDateTime

    public java.util.Date getEndDateTime()

  Returns the end date for a range of dates to be searched.

  Returns:
    the end date (inclusive)
  See Also:
    `setEndDateTime(Date)`

### setServiceModel

    public void setServiceModel(RemoteFileSearchModelInterface serviceModel)

  Sets the service model attribute value.

  Parameters:
    `model` - the service model used by the command
  See Also:
    `getServiceModel()`

### getServiceModel

    public RemoteFileSearchModelInterface getServiceModel()

  Returns the service model attribute value.

  Returns:
    the service model used by the command
  See Also:
    `setServiceModel(RemoteFileSearchModelInterface)`

### setRemoteModel

    public void setRemoteModel(RemoteFileServerModelInterface remoteModel)

  Sets the model attribute value.

  Parameters:
    `model` - the model used by the command
  See Also:
    `getRemoteModel()`

### getRemoteModel

    public RemoteFileServerModelInterface getRemoteModel()

  Returns the model attribute value.

  Returns:
    the model used by the command
  See Also:
    `setRemoteModel(RemoteFileServerModelInterface)`

### setActionProvider

    public void setActionProvider(BaseActionProvider provider)

  Sets the action provider framework class.

  Parameters:
    `provider` - the action provider class
  See Also:
    `getActionProvider()`

### getActionProvider

    public BaseActionProvider getActionProvider()

  Returns the action provider framework class.

  Returns:
    the action provider class
  See Also:
    `setActionProvider(BaseActionProvider)`

### isContentsChanged

    public boolean isContentsChanged()

  Tests whether the contents are changed.

  Specified by:
    `isContentsChanged` in interface `ContentsChangedInterface`
  Returns:
    true = contents are changed

### getEventInfo

    public java.util.HashMap getEventInfo()

  Returns information about the command.

  Specified by:
    `getEventInfo` in interface `ContentsChangedInterface`
  Returns:
    a HashMaP containing the path where the copy took place

### getEventSource

    public java.lang.Object getEventSource()

  Returns the event source item "path".

  Specified by:
    `getEventSource` in interface `ContentsChangedInterface`
  Returns:
    the event source
  See Also:
    `setEventSource(Object)`

### setEventSource

    public void setEventSource(java.lang.Object eventSource)

  Allows setting of the event source.

  Parameters:
    `eventSource` - the item to set as the event source
  See Also:
    `getEventSource()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.